Uploaded image for project: 'Picard'
  1. Picard
  2. PICARD-2022

Crash accessing network share without access rights on Windows

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.5.3
    • Component/s: None
    • Labels:
      None
    • Environment:
      Windows 10

      Description

      Trying to load a network shared folder (shared via SAMBA) without access right into Picard crashes the application:

      D: 07:54:35,368 ui.itemviews.drop_urls:726: Dropped the URL: 'file://zoidberg/Public/pornophonique'
      Traceback (most recent call last):
      File "C:\Program Files\Python38\lib\ntpath.py", line 647, in realpath
      path = _getfinalpathname(path)
      OSError: [WinError 6] The handle is invalid: '\\\\zoidberg\\Public
      pornophonique'

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
      File ".\picard\ui\itemviews.py", line 728, in drop_urls
      filename = os.path.normpath(os.path.realpath(url.toLocalFile().rstrip("\0")))
      File "C:\Program Files\Python38\lib\ntpath.py", line 651, in realpath
      path = _getfinalpathname_nonstrict(path)
      File "C:\Program Files\Python38\lib\ntpath.py", line 601, in _getfinalpathname_nonstrict
      path = _getfinalpathname(path)
      OSError: [WinError 6] The handle is invalid: '\\\\zoidberg\\Public
      pornophonique'

        Attachments

          Activity

            People

            Assignee:
            outsidecontext Philipp Wolfer
            Reporter:
            outsidecontext Philipp Wolfer
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:

                Packages

                Version Package
                2.5.3